// Copyright (C) 2012 MicroStrain, Inc.

/*********************
*	dynamic_buffer.h
*	dynamic_buffer is a simple array class that allows you to create
*   a c-style array at runtime and have it clean up automaticly instead
*   of having to new/delete an array
*********************/
#ifndef	DYNAMIC_BUFFER_H
#define	DYNAMIC_BUFFER_H


template <class T>
class dynamic_buffer
{
public:
	dynamic_buffer(size_t size)
	{
		_buffer = new T[size];
		
		//zero the buffer
		::ZeroMemory(_buffer, (size)*sizeof(T));
	}
	~dynamic_buffer(){ delete[] _buffer; }
	
	operator T*() { return _buffer; }

private:
	T* _buffer;
};


#endif //end DYNAMIC_BUFFER_H