// Copyright (C) 2012 MicroStrain, Inc.

/*********************************
*	sampling_rates.h
*	sampling_rates.h holds a table of the 
*	various Sync Sampling Rates and is
*	used to determine what the value read 
*	in from the data means
*********************************/

#ifndef	SAMPLING_RATES_H
#define	SAMPLING_RATES_H

struct SLowDutyRates 
{
	CString m_strRate;			//	string representation
	unsigned char m_ucValue;	//	eeprom value
	double m_dTime_inc;			//	time increment for the sampling in seconds.  i.e. 1 Hz = 1 / sec = 1
};

#define N24_NUM_SYNC_SAMPLING_RATES		23

static const SLowDutyRates ldrSyncSamplingRates[N24_NUM_SYNC_SAMPLING_RATES] = {
	{ "4096 Hz", 101, (1.0 / 4096.0) },
	{ "2048 Hz", 102, (1.0 / 2048.0) },
	{ "1024 Hz", 103, (1.0 / 1024.0) },
	{ "512 Hz", 104, (1.0 / 512.0) },
	{ "256 Hz", 105, (1.0 / 256.0) },
	{ "128 Hz", 106, (1.0 / 128.0) },
	{ "64 Hz", 107, (1.0 / 64.0) },
	{ "32 Hz", 108, (1.0 / 32.0) },
	{ "16 Hz", 109, (1.0 / 16.0) },
	{ "8 Hz", 110, (1.0 / 8.0) },
	{ "4 Hz", 111, (1.0 / 4.0) },
	{ "2 Hz", 112, (1.0 / 2.0) },
	{ "1 Hz", 113, (1.0 / 1.0) },
	{ "1 sample per 2 sec", 114, 2.0 },
	{ "1 sample per 5 sec", 115, 5.0 },
	{ "1 sample per 10 sec", 116, 10.0 },
	{ "1 sample per 30 sec", 117, 30.0 },
	{ "1 sample per 60 sec", 118, 60.0 },
	{ "1 sample per 2 min", 119, 120.0 },
	{ "1 sample per 5 min", 120, 300.0 },
	{ "1 sample per 10 min", 121, 600.0 },
	{ "1 sample per 30 min", 122, 1800.0 },
	{ "1 sample per 60 min", 123, 3600.0 }
};

#endif